Name:           xdg-utils
Version:        20120310
Release:        0
License:        MIT
Summary:        Utilities to uniformly interface desktop environments
Url:            http://portland.freedesktop.org/
Group:          System/GUI/Other
# http://portland.freedesktop.org/download/xdg-utils-%%{version}.tgz
Source0:        xdg-utils-%{version}.tar.xz
Source1001: 	xdg-utils.manifest
BuildRequires:  make
# for xmlto to be able to generate text from html
BuildRequires:  web_browser
BuildRequires:  xmlto
BuildRequires:  xz
Requires:       perl
Requires:       perl-Net-DBus
Requires:       perl-X11-Protocol
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The xdg-utils package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.

They are intended to provide a set of defacto standards.  This means
   that: *  Third party software developers can rely on these
   xdg-utils for all of their simple integration needs.

*  Developers of desktop environments can make sure that their
   environments are well supported

If a desktop developer wants to be certain that their environment
functions with all third party software, then can simply make sure that
these utilities work properly in their environment.

%prep
%setup -q -n %{name}-%{version}
cp %{SOURCE1001} .

%build
%configure
(cd scripts; make scripts-clean; make scripts)
make %{?_smp_flags}

%install
%make_install


%docs_package

%files
%manifest %{name}.manifest
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-su
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
%{_bindir}/xdg-terminal
%changelog
